--- old/usr/src/cmd/svr4pkg/hdrs/libinst.h	Fri Jul 17 23:20:33 2015
+++ new/usr/src/cmd/svr4pkg/hdrs/libinst.h	Fri Jul 17 23:20:33 2015
@@ -210,8 +210,8 @@
 		    char **map_ptr, char *path));
 extern int	get_orig_offset __P((void));
 extern char	*get_inst_root __P((void));
-extern char	*get_mount_point __P((short n));
-extern char	*get_remote_path __P((short n));
+extern char	*get_mount_point __P((uint32_t n));
+extern char	*get_remote_path __P((uint32_t n));
 extern void	set_env_cbdir __P((void));
 extern int	set_inst_root __P((char *path));
 extern void	put_path_params __P((void));
@@ -242,32 +242,32 @@
 
 /* mntinfo.c */
 extern int	get_mntinfo __P((int map_client, char *vfstab_file));
-extern short	fsys __P((char *path));
-extern struct fstable *get_fs_entry __P((short n));
+extern uint32_t	fsys __P((char *path));
+extern struct fstable *get_fs_entry __P((uint32_t n));
 extern int	mount_client __P((void));
 extern int	unmount_client __P((void));
-extern short	resolved_fsys __P((char *path));
-extern char	*get_server_host __P((short n));
-extern char	*server_map __P((char *path, short fsys_value));
-extern int	use_srvr_map __P((char *path, short *fsys_value));
-extern int	use_srvr_map_n __P((short n));
-extern int	is_fs_writeable __P((char *path, short *fsys_value));
-extern int	is_remote_fs __P((char *path, short *fsys_value));
-extern int	is_served __P((char *path, short *fsys_value));
-extern int	is_mounted __P((char *path, short *fsys_value));
-extern int	is_fs_writeable_n __P((short n));
-extern int	is_remote_fs_n __P((short n));
-extern int	is_served_n __P((short n));
-extern int	is_mounted_n __P((short n));
-extern fsblkcnt_t	get_blk_size_n __P((short n));
-extern fsblkcnt_t	get_frag_size_n __P((short n));
-extern fsblkcnt_t	get_blk_used_n __P((short n));
-extern fsblkcnt_t	get_blk_free_n __P((short n));
-extern fsblkcnt_t	get_inode_used_n __P((short n));
-extern fsblkcnt_t	get_inode_free_n __P((short n));
-extern void	set_blk_used_n __P((short n, fsblkcnt_t value));
-extern char	*get_source_name_n __P((short n));
-extern char	*get_fs_name_n __P((short n));
+extern uint32_t	resolved_fsys __P((char *path));
+extern char	*get_server_host __P((uint32_t n));
+extern char	*server_map __P((char *path, uint32_t fsys_value));
+extern int	use_srvr_map __P((char *path, uint32_t *fsys_value));
+extern int	use_srvr_map_n __P((uint32_t n));
+extern int	is_fs_writeable __P((char *path, uint32_t *fsys_value));
+extern int	is_remote_fs __P((char *path, uint32_t *fsys_value));
+extern int	is_served __P((char *path, uint32_t *fsys_value));
+extern int	is_mounted __P((char *path, uint32_t *fsys_value));
+extern int	is_fs_writeable_n __P((uint32_t n));
+extern int	is_remote_fs_n __P((uint32_t n));
+extern int	is_served_n __P((uint32_t n));
+extern int	is_mounted_n __P((uint32_t n));
+extern fsblkcnt_t	get_blk_size_n __P((uint32_t n));
+extern fsblkcnt_t	get_frag_size_n __P((uint32_t n));
+extern fsblkcnt_t	get_blk_used_n __P((uint32_t n));
+extern fsblkcnt_t	get_blk_free_n __P((uint32_t n));
+extern fsblkcnt_t	get_inode_used_n __P((uint32_t n));
+extern fsblkcnt_t	get_inode_free_n __P((uint32_t n));
+extern void	set_blk_used_n __P((uint32_t n, fsblkcnt_t value));
+extern char	*get_source_name_n __P((uint32_t n));
+extern char	*get_fs_name_n __P((uint32_t n));
 extern int	load_fsentry __P((struct fstable *fs_entry, char *name,
 		    char *fstype, char *remote_name));
 extern int	isreloc __P((char *pkginstdir));
